Create a parcel
curl --request POST \
--url https://api.simplesell.de/v1/parcels \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"receiver": {
"name": "<string>",
"company": "<string>",
"address_line_1": "<string>",
"house_number": "<string>",
"address_line_2": "<string>",
"postal_code": "<string>",
"city": "<string>",
"state_or_region": "<string>",
"country": "<string>",
"email": "jsmith@example.com",
"phone": "<string>"
},
"number_of_labels": 1,
"weight": "<string>",
"packaging_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dimensions": {
"length": "<string>",
"width": "<string>",
"height": "<string>"
},
"reference": "<string>",
"shipping_method_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"order_number": "<string>",
"order_date": "2023-11-07T05:31:56Z",
"ship_by": "2023-11-07T05:31:56Z",
"deliver_by": "2023-11-07T05:31:56Z",
"currency": "EUR",
"order_total_price": "<string>",
"order_shipping_price": "<string>",
"shipping_request": "<string>",
"tags": [
"<string>"
],
"note": "<string>",
"items": [
{
"sku": "<string>",
"quantity": 1,
"name": "<string>",
"weight": "<string>",
"price": "<string>",
"storage_location": "<string>",
"description": "<string>",
"origin_country": "<string>",
"hs_code": "<string>",
"note": "<string>"
}
]
}
'import requests
url = "https://api.simplesell.de/v1/parcels"
payload = {
"receiver": {
"name": "<string>",
"company": "<string>",
"address_line_1": "<string>",
"house_number": "<string>",
"address_line_2": "<string>",
"postal_code": "<string>",
"city": "<string>",
"state_or_region": "<string>",
"country": "<string>",
"email": "jsmith@example.com",
"phone": "<string>"
},
"number_of_labels": 1,
"weight": "<string>",
"packaging_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dimensions": {
"length": "<string>",
"width": "<string>",
"height": "<string>"
},
"reference": "<string>",
"shipping_method_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"order_number": "<string>",
"order_date": "2023-11-07T05:31:56Z",
"ship_by": "2023-11-07T05:31:56Z",
"deliver_by": "2023-11-07T05:31:56Z",
"currency": "EUR",
"order_total_price": "<string>",
"order_shipping_price": "<string>",
"shipping_request": "<string>",
"tags": ["<string>"],
"note": "<string>",
"items": [
{
"sku": "<string>",
"quantity": 1,
"name": "<string>",
"weight": "<string>",
"price": "<string>",
"storage_location": "<string>",
"description": "<string>",
"origin_country": "<string>",
"hs_code": "<string>",
"note": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
receiver: {
name: '<string>',
company: '<string>',
address_line_1: '<string>',
house_number: '<string>',
address_line_2: '<string>',
postal_code: '<string>',
city: '<string>',
state_or_region: '<string>',
country: '<string>',
email: 'jsmith@example.com',
phone: '<string>'
},
number_of_labels: 1,
weight: '<string>',
packaging_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
dimensions: {length: '<string>', width: '<string>', height: '<string>'},
reference: '<string>',
shipping_method_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
order_number: '<string>',
order_date: '2023-11-07T05:31:56Z',
ship_by: '2023-11-07T05:31:56Z',
deliver_by: '2023-11-07T05:31:56Z',
currency: 'EUR',
order_total_price: '<string>',
order_shipping_price: '<string>',
shipping_request: '<string>',
tags: ['<string>'],
note: '<string>',
items: [
{
sku: '<string>',
quantity: 1,
name: '<string>',
weight: '<string>',
price: '<string>',
storage_location: '<string>',
description: '<string>',
origin_country: '<string>',
hs_code: '<string>',
note: '<string>'
}
]
})
};
fetch('https://api.simplesell.de/v1/parcels', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.simplesell.de/v1/parcels",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'receiver' => [
'name' => '<string>',
'company' => '<string>',
'address_line_1' => '<string>',
'house_number' => '<string>',
'address_line_2' => '<string>',
'postal_code' => '<string>',
'city' => '<string>',
'state_or_region' => '<string>',
'country' => '<string>',
'email' => 'jsmith@example.com',
'phone' => '<string>'
],
'number_of_labels' => 1,
'weight' => '<string>',
'packaging_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'dimensions' => [
'length' => '<string>',
'width' => '<string>',
'height' => '<string>'
],
'reference' => '<string>',
'shipping_method_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'order_number' => '<string>',
'order_date' => '2023-11-07T05:31:56Z',
'ship_by' => '2023-11-07T05:31:56Z',
'deliver_by' => '2023-11-07T05:31:56Z',
'currency' => 'EUR',
'order_total_price' => '<string>',
'order_shipping_price' => '<string>',
'shipping_request' => '<string>',
'tags' => [
'<string>'
],
'note' => '<string>',
'items' => [
[
'sku' => '<string>',
'quantity' => 1,
'name' => '<string>',
'weight' => '<string>',
'price' => '<string>',
'storage_location' => '<string>',
'description' => '<string>',
'origin_country' => '<string>',
'hs_code' => '<string>',
'note' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.simplesell.de/v1/parcels"
payload := strings.NewReader("{\n \"receiver\": {\n \"name\": \"<string>\",\n \"company\": \"<string>\",\n \"address_line_1\": \"<string>\",\n \"house_number\": \"<string>\",\n \"address_line_2\": \"<string>\",\n \"postal_code\": \"<string>\",\n \"city\": \"<string>\",\n \"state_or_region\": \"<string>\",\n \"country\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"phone\": \"<string>\"\n },\n \"number_of_labels\": 1,\n \"weight\": \"<string>\",\n \"packaging_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"dimensions\": {\n \"length\": \"<string>\",\n \"width\": \"<string>\",\n \"height\": \"<string>\"\n },\n \"reference\": \"<string>\",\n \"shipping_method_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"order_number\": \"<string>\",\n \"order_date\": \"2023-11-07T05:31:56Z\",\n \"ship_by\": \"2023-11-07T05:31:56Z\",\n \"deliver_by\": \"2023-11-07T05:31:56Z\",\n \"currency\": \"EUR\",\n \"order_total_price\": \"<string>\",\n \"order_shipping_price\": \"<string>\",\n \"shipping_request\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ],\n \"note\": \"<string>\",\n \"items\": [\n {\n \"sku\": \"<string>\",\n \"quantity\": 1,\n \"name\": \"<string>\",\n \"weight\": \"<string>\",\n \"price\": \"<string>\",\n \"storage_location\": \"<string>\",\n \"description\": \"<string>\",\n \"origin_country\": \"<string>\",\n \"hs_code\": \"<string>\",\n \"note\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.simplesell.de/v1/parcels")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"receiver\": {\n \"name\": \"<string>\",\n \"company\": \"<string>\",\n \"address_line_1\": \"<string>\",\n \"house_number\": \"<string>\",\n \"address_line_2\": \"<string>\",\n \"postal_code\": \"<string>\",\n \"city\": \"<string>\",\n \"state_or_region\": \"<string>\",\n \"country\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"phone\": \"<string>\"\n },\n \"number_of_labels\": 1,\n \"weight\": \"<string>\",\n \"packaging_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"dimensions\": {\n \"length\": \"<string>\",\n \"width\": \"<string>\",\n \"height\": \"<string>\"\n },\n \"reference\": \"<string>\",\n \"shipping_method_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"order_number\": \"<string>\",\n \"order_date\": \"2023-11-07T05:31:56Z\",\n \"ship_by\": \"2023-11-07T05:31:56Z\",\n \"deliver_by\": \"2023-11-07T05:31:56Z\",\n \"currency\": \"EUR\",\n \"order_total_price\": \"<string>\",\n \"order_shipping_price\": \"<string>\",\n \"shipping_request\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ],\n \"note\": \"<string>\",\n \"items\": [\n {\n \"sku\": \"<string>\",\n \"quantity\": 1,\n \"name\": \"<string>\",\n \"weight\": \"<string>\",\n \"price\": \"<string>\",\n \"storage_location\": \"<string>\",\n \"description\": \"<string>\",\n \"origin_country\": \"<string>\",\n \"hs_code\": \"<string>\",\n \"note\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.simplesell.de/v1/parcels")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"receiver\": {\n \"name\": \"<string>\",\n \"company\": \"<string>\",\n \"address_line_1\": \"<string>\",\n \"house_number\": \"<string>\",\n \"address_line_2\": \"<string>\",\n \"postal_code\": \"<string>\",\n \"city\": \"<string>\",\n \"state_or_region\": \"<string>\",\n \"country\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"phone\": \"<string>\"\n },\n \"number_of_labels\": 1,\n \"weight\": \"<string>\",\n \"packaging_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"dimensions\": {\n \"length\": \"<string>\",\n \"width\": \"<string>\",\n \"height\": \"<string>\"\n },\n \"reference\": \"<string>\",\n \"shipping_method_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"order_number\": \"<string>\",\n \"order_date\": \"2023-11-07T05:31:56Z\",\n \"ship_by\": \"2023-11-07T05:31:56Z\",\n \"deliver_by\": \"2023-11-07T05:31:56Z\",\n \"currency\": \"EUR\",\n \"order_total_price\": \"<string>\",\n \"order_shipping_price\": \"<string>\",\n \"shipping_request\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ],\n \"note\": \"<string>\",\n \"items\": [\n {\n \"sku\": \"<string>\",\n \"quantity\": 1,\n \"name\": \"<string>\",\n \"weight\": \"<string>\",\n \"price\": \"<string>\",\n \"storage_location\": \"<string>\",\n \"description\": \"<string>\",\n \"origin_country\": \"<string>\",\n \"hs_code\": \"<string>\",\n \"note\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source": "<string>",
"reference_code": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"processed_at": "2023-11-07T05:31:56Z",
"printed_at": "2023-11-07T05:31:56Z",
"cancelled_at": "2023-11-07T05:31:56Z",
"cancellable_until": "2023-11-07T05:31:56Z",
"receiver": {
"name": "<string>",
"company": "<string>",
"address_line_1": "<string>",
"house_number": "<string>",
"address_line_2": "<string>",
"postal_code": "<string>",
"city": "<string>",
"state_or_region": "<string>",
"country": "<string>",
"email": "jsmith@example.com",
"phone": "<string>"
},
"number_of_labels": 123,
"weight": "<string>",
"packaging": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"dimensions": {
"length": "<string>",
"width": "<string>",
"height": "<string>"
},
"reference": "<string>",
"shipping_method": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"integration_account": {
"name": "<string>"
},
"order_number": "<string>",
"order_date": "2023-11-07T05:31:56Z",
"ship_by": "2023-11-07T05:31:56Z",
"deliver_by": "2023-11-07T05:31:56Z",
"currency": "<string>",
"order_total_price": "<string>",
"order_shipping_price": "<string>",
"shipping_request": "<string>",
"export_reason": "<string>",
"tags": [
"<string>"
],
"note": "<string>",
"items": [
{
"sku": "<string>",
"quantity": 123,
"name": "<string>",
"weight": "<string>",
"price": "<string>",
"storage_location": "<string>",
"description": "<string>",
"origin_country": "<string>",
"hs_code": "<string>",
"note": "<string>"
}
],
"labels": [
{
"number": 123,
"tracking_number": "<string>",
"tracking_url": "<string>",
"return_tracking_number": "<string>"
}
],
"documents": {
"labels": "<string>",
"customs_declaration": "<string>"
},
"processing_errors": [
"<string>"
]
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>"
}Parcels
Create a parcel
POST
/
parcels
Create a parcel
curl --request POST \
--url https://api.simplesell.de/v1/parcels \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"receiver": {
"name": "<string>",
"company": "<string>",
"address_line_1": "<string>",
"house_number": "<string>",
"address_line_2": "<string>",
"postal_code": "<string>",
"city": "<string>",
"state_or_region": "<string>",
"country": "<string>",
"email": "jsmith@example.com",
"phone": "<string>"
},
"number_of_labels": 1,
"weight": "<string>",
"packaging_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dimensions": {
"length": "<string>",
"width": "<string>",
"height": "<string>"
},
"reference": "<string>",
"shipping_method_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"order_number": "<string>",
"order_date": "2023-11-07T05:31:56Z",
"ship_by": "2023-11-07T05:31:56Z",
"deliver_by": "2023-11-07T05:31:56Z",
"currency": "EUR",
"order_total_price": "<string>",
"order_shipping_price": "<string>",
"shipping_request": "<string>",
"tags": [
"<string>"
],
"note": "<string>",
"items": [
{
"sku": "<string>",
"quantity": 1,
"name": "<string>",
"weight": "<string>",
"price": "<string>",
"storage_location": "<string>",
"description": "<string>",
"origin_country": "<string>",
"hs_code": "<string>",
"note": "<string>"
}
]
}
'import requests
url = "https://api.simplesell.de/v1/parcels"
payload = {
"receiver": {
"name": "<string>",
"company": "<string>",
"address_line_1": "<string>",
"house_number": "<string>",
"address_line_2": "<string>",
"postal_code": "<string>",
"city": "<string>",
"state_or_region": "<string>",
"country": "<string>",
"email": "jsmith@example.com",
"phone": "<string>"
},
"number_of_labels": 1,
"weight": "<string>",
"packaging_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dimensions": {
"length": "<string>",
"width": "<string>",
"height": "<string>"
},
"reference": "<string>",
"shipping_method_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"order_number": "<string>",
"order_date": "2023-11-07T05:31:56Z",
"ship_by": "2023-11-07T05:31:56Z",
"deliver_by": "2023-11-07T05:31:56Z",
"currency": "EUR",
"order_total_price": "<string>",
"order_shipping_price": "<string>",
"shipping_request": "<string>",
"tags": ["<string>"],
"note": "<string>",
"items": [
{
"sku": "<string>",
"quantity": 1,
"name": "<string>",
"weight": "<string>",
"price": "<string>",
"storage_location": "<string>",
"description": "<string>",
"origin_country": "<string>",
"hs_code": "<string>",
"note": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
receiver: {
name: '<string>',
company: '<string>',
address_line_1: '<string>',
house_number: '<string>',
address_line_2: '<string>',
postal_code: '<string>',
city: '<string>',
state_or_region: '<string>',
country: '<string>',
email: 'jsmith@example.com',
phone: '<string>'
},
number_of_labels: 1,
weight: '<string>',
packaging_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
dimensions: {length: '<string>', width: '<string>', height: '<string>'},
reference: '<string>',
shipping_method_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
order_number: '<string>',
order_date: '2023-11-07T05:31:56Z',
ship_by: '2023-11-07T05:31:56Z',
deliver_by: '2023-11-07T05:31:56Z',
currency: 'EUR',
order_total_price: '<string>',
order_shipping_price: '<string>',
shipping_request: '<string>',
tags: ['<string>'],
note: '<string>',
items: [
{
sku: '<string>',
quantity: 1,
name: '<string>',
weight: '<string>',
price: '<string>',
storage_location: '<string>',
description: '<string>',
origin_country: '<string>',
hs_code: '<string>',
note: '<string>'
}
]
})
};
fetch('https://api.simplesell.de/v1/parcels', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.simplesell.de/v1/parcels",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'receiver' => [
'name' => '<string>',
'company' => '<string>',
'address_line_1' => '<string>',
'house_number' => '<string>',
'address_line_2' => '<string>',
'postal_code' => '<string>',
'city' => '<string>',
'state_or_region' => '<string>',
'country' => '<string>',
'email' => 'jsmith@example.com',
'phone' => '<string>'
],
'number_of_labels' => 1,
'weight' => '<string>',
'packaging_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'dimensions' => [
'length' => '<string>',
'width' => '<string>',
'height' => '<string>'
],
'reference' => '<string>',
'shipping_method_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'order_number' => '<string>',
'order_date' => '2023-11-07T05:31:56Z',
'ship_by' => '2023-11-07T05:31:56Z',
'deliver_by' => '2023-11-07T05:31:56Z',
'currency' => 'EUR',
'order_total_price' => '<string>',
'order_shipping_price' => '<string>',
'shipping_request' => '<string>',
'tags' => [
'<string>'
],
'note' => '<string>',
'items' => [
[
'sku' => '<string>',
'quantity' => 1,
'name' => '<string>',
'weight' => '<string>',
'price' => '<string>',
'storage_location' => '<string>',
'description' => '<string>',
'origin_country' => '<string>',
'hs_code' => '<string>',
'note' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.simplesell.de/v1/parcels"
payload := strings.NewReader("{\n \"receiver\": {\n \"name\": \"<string>\",\n \"company\": \"<string>\",\n \"address_line_1\": \"<string>\",\n \"house_number\": \"<string>\",\n \"address_line_2\": \"<string>\",\n \"postal_code\": \"<string>\",\n \"city\": \"<string>\",\n \"state_or_region\": \"<string>\",\n \"country\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"phone\": \"<string>\"\n },\n \"number_of_labels\": 1,\n \"weight\": \"<string>\",\n \"packaging_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"dimensions\": {\n \"length\": \"<string>\",\n \"width\": \"<string>\",\n \"height\": \"<string>\"\n },\n \"reference\": \"<string>\",\n \"shipping_method_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"order_number\": \"<string>\",\n \"order_date\": \"2023-11-07T05:31:56Z\",\n \"ship_by\": \"2023-11-07T05:31:56Z\",\n \"deliver_by\": \"2023-11-07T05:31:56Z\",\n \"currency\": \"EUR\",\n \"order_total_price\": \"<string>\",\n \"order_shipping_price\": \"<string>\",\n \"shipping_request\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ],\n \"note\": \"<string>\",\n \"items\": [\n {\n \"sku\": \"<string>\",\n \"quantity\": 1,\n \"name\": \"<string>\",\n \"weight\": \"<string>\",\n \"price\": \"<string>\",\n \"storage_location\": \"<string>\",\n \"description\": \"<string>\",\n \"origin_country\": \"<string>\",\n \"hs_code\": \"<string>\",\n \"note\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.simplesell.de/v1/parcels")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"receiver\": {\n \"name\": \"<string>\",\n \"company\": \"<string>\",\n \"address_line_1\": \"<string>\",\n \"house_number\": \"<string>\",\n \"address_line_2\": \"<string>\",\n \"postal_code\": \"<string>\",\n \"city\": \"<string>\",\n \"state_or_region\": \"<string>\",\n \"country\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"phone\": \"<string>\"\n },\n \"number_of_labels\": 1,\n \"weight\": \"<string>\",\n \"packaging_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"dimensions\": {\n \"length\": \"<string>\",\n \"width\": \"<string>\",\n \"height\": \"<string>\"\n },\n \"reference\": \"<string>\",\n \"shipping_method_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"order_number\": \"<string>\",\n \"order_date\": \"2023-11-07T05:31:56Z\",\n \"ship_by\": \"2023-11-07T05:31:56Z\",\n \"deliver_by\": \"2023-11-07T05:31:56Z\",\n \"currency\": \"EUR\",\n \"order_total_price\": \"<string>\",\n \"order_shipping_price\": \"<string>\",\n \"shipping_request\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ],\n \"note\": \"<string>\",\n \"items\": [\n {\n \"sku\": \"<string>\",\n \"quantity\": 1,\n \"name\": \"<string>\",\n \"weight\": \"<string>\",\n \"price\": \"<string>\",\n \"storage_location\": \"<string>\",\n \"description\": \"<string>\",\n \"origin_country\": \"<string>\",\n \"hs_code\": \"<string>\",\n \"note\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.simplesell.de/v1/parcels")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"receiver\": {\n \"name\": \"<string>\",\n \"company\": \"<string>\",\n \"address_line_1\": \"<string>\",\n \"house_number\": \"<string>\",\n \"address_line_2\": \"<string>\",\n \"postal_code\": \"<string>\",\n \"city\": \"<string>\",\n \"state_or_region\": \"<string>\",\n \"country\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"phone\": \"<string>\"\n },\n \"number_of_labels\": 1,\n \"weight\": \"<string>\",\n \"packaging_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"dimensions\": {\n \"length\": \"<string>\",\n \"width\": \"<string>\",\n \"height\": \"<string>\"\n },\n \"reference\": \"<string>\",\n \"shipping_method_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"order_number\": \"<string>\",\n \"order_date\": \"2023-11-07T05:31:56Z\",\n \"ship_by\": \"2023-11-07T05:31:56Z\",\n \"deliver_by\": \"2023-11-07T05:31:56Z\",\n \"currency\": \"EUR\",\n \"order_total_price\": \"<string>\",\n \"order_shipping_price\": \"<string>\",\n \"shipping_request\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ],\n \"note\": \"<string>\",\n \"items\": [\n {\n \"sku\": \"<string>\",\n \"quantity\": 1,\n \"name\": \"<string>\",\n \"weight\": \"<string>\",\n \"price\": \"<string>\",\n \"storage_location\": \"<string>\",\n \"description\": \"<string>\",\n \"origin_country\": \"<string>\",\n \"hs_code\": \"<string>\",\n \"note\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source": "<string>",
"reference_code": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"processed_at": "2023-11-07T05:31:56Z",
"printed_at": "2023-11-07T05:31:56Z",
"cancelled_at": "2023-11-07T05:31:56Z",
"cancellable_until": "2023-11-07T05:31:56Z",
"receiver": {
"name": "<string>",
"company": "<string>",
"address_line_1": "<string>",
"house_number": "<string>",
"address_line_2": "<string>",
"postal_code": "<string>",
"city": "<string>",
"state_or_region": "<string>",
"country": "<string>",
"email": "jsmith@example.com",
"phone": "<string>"
},
"number_of_labels": 123,
"weight": "<string>",
"packaging": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"dimensions": {
"length": "<string>",
"width": "<string>",
"height": "<string>"
},
"reference": "<string>",
"shipping_method": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"integration_account": {
"name": "<string>"
},
"order_number": "<string>",
"order_date": "2023-11-07T05:31:56Z",
"ship_by": "2023-11-07T05:31:56Z",
"deliver_by": "2023-11-07T05:31:56Z",
"currency": "<string>",
"order_total_price": "<string>",
"order_shipping_price": "<string>",
"shipping_request": "<string>",
"export_reason": "<string>",
"tags": [
"<string>"
],
"note": "<string>",
"items": [
{
"sku": "<string>",
"quantity": 123,
"name": "<string>",
"weight": "<string>",
"price": "<string>",
"storage_location": "<string>",
"description": "<string>",
"origin_country": "<string>",
"hs_code": "<string>",
"note": "<string>"
}
],
"labels": [
{
"number": 123,
"tracking_number": "<string>",
"tracking_url": "<string>",
"return_tracking_number": "<string>"
}
],
"documents": {
"labels": "<string>",
"customs_declaration": "<string>"
},
"processing_errors": [
"<string>"
]
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>"
}Authorizations
Your SimpleSell API token.
Query Parameters
Apply product database to the items.
Apply shipping rules to the parcel.
Body
application/json
All fields are optional. Fields not provided use their default values.
Show child attributes
Show child attributes
Required range:
1 <= x <= 30Weight in kilograms.
Show child attributes
Show child attributes
Defaults to the current timestamp if omitted.
ISO 4217 currency code.
Defaults to the export reason specified in SimpleSell settings.
Available options:
commercial_goods, document, gift, commercial_sample, returned_goods Maximum array length:
25Maximum array length:
1000Show child attributes
Show child attributes
Response
The created parcel.
Show child attributes
Show child attributes